version: "3"

services:
  promtail:
    image: grafana/promtail:2.9.3
    container_name: promtail
    volumes:
      - /var/log/journal:/var/log/journal:ro
      - ./promtail.yaml:/etc/promtail/promtail.yaml:ro
    env_file:
      - secrets/promtail.secrets
    environment:
      LOKI_URL: https://loki.picasoft.net/loki/api/v1/push
    command:
      - -config.file=/etc/promtail/promtail.yaml
      - -config.expand-env=true
    restart: unless-stopped
    networks:
      - docker-ro

networks:
  docker-ro:
    external: true
